!++
!     Define symbols according to macro values
!--

.IFDEF DEBUG
DBG = /DEBUG
DBGOPT = /NOOPTIMIZE/DEBUG
.ELSE
DBG = /NODEBUG
DBGOPT = /OPTIMIZE/NODEBUG
.ENDIF

.IFDEF LIST
LST = /LIST
.ELSE
LST = /NOLIST
.ENDIF

.IFDEF DIAG
DIA = /DIAGNOSTICS
.ELSE
DIA = /NODIAGNOSTICS
.ENDIF

.IFDEF PCA
PCAOPT = /DEBUG
.ENDIF

!++
!      List of tools used and required symbols
!
!      !C used
!      Message file used
!      !Executables used
!--


!++
!     Missing sources catch-all
!--

.DEFAULT
   ! No source found for $(MMS$TARGET)
   ! - Attempting to continue



!++
!   Complete application - default build item
!--

COMPLETE_APPLICATION depends_on -
     DBM.EXE
        CONTINUE


!++
!   C
!--

MMS$OLB.OLB(DBM=DBM.OBJ) depends_on -
      DBM.C -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(ASSERT=ASSERT.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(CTYPE=CTYPE.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(DESCRIP=DESCRIP.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDARG=STDARG.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDLIB=STDLIB.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STRING=STRING.H) -
-!   ,EFNDEF.H -
-!   ,ILEDEF.H -
-!   ,IOSADEF.H -
-!   ,IOSBDEF.H -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(DCDEF=DCDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(DEVDEF=DEVDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(DVIDEF=DVIDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(IODEF=IODEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(JPIDEF=JPIDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(LIB$ROUTINES=LIB$ROUTINES.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(LIBCLIDEF=LIBCLIDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(PTHREAD=PTHREAD.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(RMS=RMS.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(SSDEF=SSDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(STARLET=STARLET.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(STSDEF=STSDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(SYIDEF=SYIDEF.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) -
		/OBJ=DBM.OBJ /REENT=MULTI /ARCH=HOST -
			DBM.C
       LIBRARY/REPLACE MMS$OLB.OLB DBM.OBJ
       DELETE DBM.OBJ;*

MMS$OLB.OLB(MT19937AR-COK=MT19937AR-COK.OBJ) depends_on -
      MT19937AR-COK.C -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) -
		/OBJ=MT19937AR-COK.OBJ /REENT=MULTI /ARCH=HOST -
			MT19937AR-COK.C
       LIBRARY/REPLACE MMS$OLB.OLB MT19937AR-COK.OBJ
       DELETE MT19937AR-COK.OBJ;*


!++
!   Message file objects
!--

MMS$OLB.OLB(DBM_MSG=DBM_MSG.OBJ) depends_on -
      DBM_MSG.MSG -
     !
       MESSAGE/OBJECT=DBM_MSG.OBJ DBM_MSG.MSG
       LIBRARY/REPLACE MMS$OLB.OLB DBM_MSG.OBJ
       DELETE DBM_MSG.OBJ;*


!++
!   Links
!--

DBM.EXE depends_on -
      MMS$OLB.OLB(DBM=DBM.OBJ) -
     ,MMS$OLB.OLB(MT19937AR-COK=MT19937AR-COK.OBJ) -
     ,MMS$OLB.OLB(DBM_MSG=DBM_MSG.OBJ) -
     !
       LINK $(DBG) $(PCAOPT) /EXE=DBM.EXE /THREAD=(MULTI, UP) -
		MMS$OLB.OLB/LIBRARY/INCLUDE=(DBM) -
          ! End of Link


!++
!   Files not found.  MMS references to these files will generate errors.
!--

!     EFNDEF.H
!     ILEDEF.H
!     IOSADEF.H
!     IOSBDEF.H



!++
!   Objects not found.  The following symbols may be undefined.
!--

!++
!  Create object library if it doesn't already exist
!--

.FIRST
	! MMS $(mmsqualifiers) $(mmstargets)
       IF F$SEARCH( "MMS$OLB.OLB" ) .EQS. "" -
		THEN $(LIBR)/CREATE MMS$OLB.OLB

!++
!  End of build cleanup work
!--

.LAST
       CONTINUE

